using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("阅片全局任务信息")]
[Table("ReadingGlobalTaskInfo")]
public class ReadingGlobalTaskInfo : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TaskId")]
    public VisitTask VisitTask { get; set; }

    [JsonIgnore]
    [ForeignKey("GlobalTaskId")]
    public VisitTask GlobalVisitTask { get; set; }
    [JsonIgnore]
    [ForeignKey("QuestionId")]
    public ReadingQuestionTrial TrialReadingQuestion { get; set; }
    #endregion

    [Comment("全局任务Id")]
    public Guid GlobalTaskId { get; set; }

    [Comment("原任务ID")]

    public Guid TaskId { get; set; }

    [Comment("问题ID")]
    public Guid? QuestionId { get; set; }

    [Comment("问题答案")]
    [StringLength(1000)]
    public string Answer { get; set; } = string.Empty;
    public Guid TrialId { get; set; }

    [Comment("全局答案类型")]
    public GlobalAnswerType GlobalAnswerType { get; set; }

    public Guid SubjectId { get; set; }

}
